--- libpam-mktemp-0.1.orig/debian/changelog
+++ libpam-mktemp-0.1/debian/changelog
@@ -0,0 +1,6 @@
+libpam-mktemp (0.1-0debathena1) unstable; urgency=low
+
+  * Initial release.
+  * This package generalizes and replaces libpam-xauthority.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 29 Jan 2008 22:20:30 -0500
--- libpam-mktemp-0.1.orig/debian/control
+++ libpam-mktemp-0.1/debian/control
@@ -0,0 +1,17 @@
+Source: libpam-mktemp
+Section: debathena/libs
+Priority: optional
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), libpam0g-dev
+
+Package: libpam-mktemp
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: PAM module to create temporary session files
+ This PAM module securely creates a temporary file or directory with
+ mkstemp, and sets an environment variable to point to its location.
+ .
+ A common use is to set the XAUTHORITY environment variable to a
+ securely created temporary file, for use when home directories are in
+ a networked filesystem.
--- libpam-mktemp-0.1.orig/debian/compat
+++ libpam-mktemp-0.1/debian/compat
@@ -0,0 +1 @@
+4
--- libpam-mktemp-0.1.orig/debian/rules
+++ libpam-mktemp-0.1/debian/rules
@@ -0,0 +1,7 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/makefile.mk
+
+DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
--- libpam-mktemp-0.1.orig/debian/control.in
+++ libpam-mktemp-0.1/debian/control.in
@@ -0,0 +1,17 @@
+Source: libpam-mktemp
+Section: debathena/libs
+Priority: optional
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Standards-Version: 3.7.2
+Build-Depends: @cdbs@, libpam0g-dev
+
+Package: libpam-mktemp
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: PAM module to create temporary session files
+ This PAM module securely creates a temporary file or directory with
+ mkstemp, and sets an environment variable to point to its location.
+ .
+ A common use is to set the XAUTHORITY environment variable to a
+ securely created temporary file, for use when home directories are in
+ a networked filesystem.
--- libpam-mktemp-0.1.orig/debian/copyright
+++ libpam-mktemp-0.1/debian/copyright
@@ -0,0 +1,21 @@
+Copyright © 2007 Tim Abbott <tabbott@mit.edu> and Anders Kaseorg
+<andersk@mit.edu>
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
